import java.util.*;
public class Die implements Rollable {
    private int dots;
    private static Random dieRandom = new Random(); 
    public Die() {
        roll();
    }//constructor
    public Die(int dots) {
        if (dots < 1 || dots > 6)
            throw new IllegalArgumentException();
        else
            this.dots = dots;
    }//constructor
    public int getValue() {
        return dots;
    } //getValue
    public void roll() {
        dots = dieRandom.nextInt(6) + 1;
    } //roll
} //Die
